# GRFText Struct Reference

Element of the linked list. More...

## Public Member Functions

void | operator delete (void *p, size_t extra)

## Static Public Member Functions

static GRFText * | New (byte langid, const char *text)

## Data Fields

GRFText * | next
byte | langid
char | text [VARARRAY_SIZE]

## Private Member Functions

| GRFText (byte langid_, const char *text_)
void * | operator new (size_t size, size_t extra)

## Detailed Description

Element of the linked list.

Each of those elements represent the string, but according to a different lang.

Definition at line 53 of file newgrf_text.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_text.cpp